Base class that mostly standardizes the interface and deals with serialization.

param ctor

  constructor for derived class

param logicalBox

  bounding box in SVG coordinates, if rendered

param attrs

  object identification

param startSelector

  where the modifier starts

param endSelector

  where it ends

### Hierarchy

- StaffModifierBase
  - SmoPartInfo
  - SmoInstrument
  - SmoStaffHairpin
  - SmoStaffTextBracket
  - SmoSlur
  - SmoTie

### Implements

- SmoModifierBase

## Index

### Constructors

- constructor

## Constructors

### constructor

- new StaffModifierBase(ctor: string): StaffModifierBase

- - Defined in src/smo/data/staffModifiers.ts:33

  #### Parameters

  - ##### ctor: string

  #### Returns StaffModifierBase

Generated using TypeDoc